osgDB::ImagePager::RequestQueue Struct Reference

`#include <ImagePager>`

Inheritance diagram for osgDB::ImagePager::RequestQueue:

## Public Types

typedef std::vector< osg::ref_ptr< ImageRequest > > | RequestList

## Public Member Functions

void | sort ()
unsigned int | size () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

RequestList | _requestList
OpenThreads::Mutex | _requestMutex

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## RequestList

typedef std::vector< osg::ref_ptr<ImageRequest> > osgDB::ImagePager::RequestQueue::RequestList

## Member Function Documentation

## size()

unsigned int osgDB::ImagePager::RequestQueue::size | ( |  | ) | const

## sort()

void osgDB::ImagePager::RequestQueue::sort | ( |  | ) |

## Member Data Documentation

## _requestList

RequestList osgDB::ImagePager::RequestQueue::_requestList

Referenced by osgDB::ImagePager::ReadQueue::updateBlock().

## _requestMutex

OpenThreads::Mutex osgDB::ImagePager::RequestQueue::_requestMutex

mutable

The documentation for this struct was generated from the following file:

- ImagePager